활동 스트림
curl --request GET \
--url https://api.x.com/2/activity/stream \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/activity/stream"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/activity/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"event_type": "<string>",
"event_uuid": "1146654567674912769",
"filter": {
"keyword": "The President",
"user_id": "2244994945"
},
"payload": {
"after": "<string>",
"before": "<string>"
},
"tag": "<string>"
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}X 활동
활동 스트림
X 활동 스트림
GET
/
2
/
activity
/
stream
활동 스트림
인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
쿼리 매개변수
요청한 백필(backfill) 기간(분 단위)입니다.
필수 범위:
0 <= x <= 5YYYY-MM-DDTHH:mm:ssZ 형식. 이 시점부터 게시물 레이블이 제공되기 시작하는, 가장 이른 UTC 타임스탬프입니다.
YYYY-MM-DDTHH:mm:ssZ 형식. 이 시점까지 게시물 레이블이 제공되는, 가장 늦은 UTC 타임스탬프입니다.
응답
요청이 성공했습니다.
X Activity 스트리밍 API에서 반환될 수 있는 Activity 이벤트 또는 오류입니다.
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes